| FFmpegKit iOS / macOS / tvOS API 4.5

Data Fields
InputStream::sub2video Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
int64_t | last_pts
int64_t | end_pts
AVFifoBuffer * | sub_queue
| queue of AVSubtitle* before filter init More...
AVFrame * | frame
int | w
int | h
unsigned int | initialize
| marks if sub2video_update should force an initialization More...

## Detailed Description

Definition at line 377 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ end_pts

int64_t InputStream::sub2video::end_pts

Definition at line 379 of file fftools_ffmpeg.h.

## ◆ frame

AVFrame* InputStream::sub2video::frame

Definition at line 381 of file fftools_ffmpeg.h.

## ◆ h

int InputStream::sub2video::h

Definition at line 382 of file fftools_ffmpeg.h.

## ◆ initialize

unsigned int InputStream::sub2video::initialize

marks if sub2video_update should force an initialization

Definition at line 383 of file fftools_ffmpeg.h.

## ◆ last_pts

int64_t InputStream::sub2video::last_pts

Definition at line 378 of file fftools_ffmpeg.h.

## ◆ sub_queue

AVFifoBuffer* InputStream::sub2video::sub_queue

queue of AVSubtitle* before filter init

Definition at line 380 of file fftools_ffmpeg.h.

## ◆ w

int InputStream::sub2video::w

Definition at line 382 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h